import { jsx } from "react/jsx-runtime";
import { FilmStrip as FilmStrip$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const FilmStrip = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "FilmStrip", ...props, children: /* @__PURE__ */ jsx(FilmStrip$1, { weight: variant }) });
  }
);
FilmStrip.displayName = "FilmStrip";
Object.assign(FilmStrip, { isGdsIcon: true });
export {
  FilmStrip
};
